import { Injectable } from '@nestjs/common';
import { Label, LabelDocument } from './schema/label.schema';
import { InjectModel } from '@nestjs/mongoose';
import { Model } from 'mongoose';

@Injectable()
export class LabelService {
  constructor(
    @InjectModel(Label.name)
    private readonly labelModel: Model<LabelDocument>,
  ) {}
  async createLabel() {
    // 创建一个新的 Label 实例
    const newLabel = new this.labelModel({
      name: '钙化',
      description: '钙化的关键词',
    });

    // 使用 save 方法保存实例到数据库
    return await newLabel.save();
  }
}
